.. _apimodelzoo:

dgllife.model.model_zoo
=============================

TBD by Murphy

dgllife.model.model_zoo.attentivefp_predictor
-----------------------------------------------
.. automodule:: dgllife.model.model_zoo.attentivefp_predictor
    :members:

dgllife.model.model_zoo.gat_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.gat_predictor
    :members:

dgllife.model.model_zoo.gcn_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.gcn_predictor
    :members:

dgllife.model.model_zoo.mgcn_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.mgcn_predictor
    :members:

dgllife.model.model_zoo.mlp_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.mlp_predictor
    :members:

dgllife.model.model_zoo.mpnn_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.mpnn_predictor
    :members:

dgllife.model.model_zoo.schnet_predictor
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.schnet_predictor
    :members:

dgllife.model.model_zoo.wln_reaction_center
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.wln_reaction_center
    :members:

dgllife.model.model_zoo.acnn
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.acnn
    :members:

dgllife.model.model_zoo.dgmg
-------------------------------------------
.. automodule:: dgllife.model.model_zoo.dgmg
    :members:

dgllife.model.model_zoo.jtnn
-------------------------------------------
.. autoclass:: dgllife.model.model_zoo.jtnn.DGLJTNNVAE
    :members:
